# smbgroupedit

## Name

smbgroupedit -- Query/set/change UNIX - Windows NT group mapping

## Synopsis

smbroupedit [-v [l|s]] [-a UNIX-groupname [-d NT-groupname|-p prividge|]

## DESCRIPTION

This program is part of the Samba suite.

The smbgroupedit command allows for mapping unix groups to NT Builtin, Domain, or Local groups. Also allows setting privileges for that group, such as saAddUser, etc.

## OPTIONS

-v[l|s]

  This option will list all groups available in the Windows NT domain in which samba is operating.

  -l

    give a long listing, of the format:

        "NT Group Name"
            SID            :
            Unix group     :
            Group type     :
            Comment        :
            Privilege      :

    For examples,

        Users
            SID : S-1-5-32-545
            Unix group: -1
            Group type: Local group
            Comment :
            Privilege : No privilege

  -s

    display a short listing of the format:

        NTGroupName(SID) -> UnixGroupName

    For example,

        Users (S-1-5-32-545) -> -1

## FILES

## EXIT STATUS

smbgroupedit returns a status of 0 if the operation completed successfully, and a value of 1 in the event of a failure.

## EXAMPLES

To make a subset of your samba PDC users members of the 'Domain Admins' Global group:

1. create a unix group (usually in `/etc/group`), let's call it `domadm`.

2. add to this group the users that you want to be domain administrators. For example if you want joe, john and mary, your entry in `/etc/group` will look like:

   domadm:x:502:joe,john,mary

3. map this domadm group to the 'domain admins' group:

   1. Get the SID for the Windows NT "Domain Admins" group:

          root# smbgroupedit -vs | grep "Domain Admins"
          Domain Admins (S-1-5-21-1108995562-3116817432-1375597819-512) -> -1

   2. map the unix domadm group to the Windows NT "Domain Admins" group, by running the command:

          root# smbgroupedit \
          -c S-1-5-21-1108995562-3116817432-1375597819-512 \
          -u domadm

      warning: don't copy and paste this sample, the Domain Admins SID (the S-1-5-21-...-512) is different for every PDC.

To verify that you mapping has taken effect:

    root# smbgroupedit -vs|grep "Domain Admins"
    Domain Admins (S-1-5-21-1108995562-3116817432-1375597819-512) -> domadm

To give access to a certain directory on a domain member machine (an NT/W2K or a samba server running winbind) to some users who are member of a group on your samba PDC, flag that group as a domain group:

    root# smbgroupedit -a unixgroup -td

## VERSION

This man page is correct for the 3.0alpha releases of the Samba suite.

## SEE ALSO

smb.conf(5)

## AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.

smbgroupedit was written by Jean Francois Micouleau. The current set of manpages and documentation is maintained by the Samba Team in the same fashion as the Samba source code.